org.apache.ignite.spi.systemview.view

## Class CacheView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.CacheView

-     public class CacheView
      extends Object

  Cache representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheView(org.apache.ignite.internal.processors.cache.DynamicCacheDescriptor cache, org.apache.ignite.internal.GridKernalContext ctx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `affinity()`
    `String` | `affinityMapper()`
    `CacheAtomicityMode` | `atomicityMode()`
    `int` | `backups()`
    `int` | `cacheGroupId()`
    `String` | `cacheGroupName()`
    `int` | `cacheId()`
    `String` | `cacheLoaderFactory()`
    `CacheMode` | `cacheMode()`
    `String` | `cacheName()`
    `String` | `cacheStoreFactory()`
    `org.apache.ignite.internal.processors.cache.CacheType` | `cacheType()`
    `String` | `cacheWriterFactory()`
    `String` | `conflictResolver()`
    `String` | `dataRegionName()`
    `long` | `defaultLockTimeout()`
    `String` | `evictionFilter()`
    `String` | `evictionPolicyFactory()`
    `String` | `expiryPolicyFactory()`
    `String` | `interceptor()`
    `boolean` | `isCopyOnRead()`
    `boolean` | `isEagerTtl()`
    `boolean` | `isEncryptionEnabled()`
    `boolean` | `isEventsDisabled()`
    `boolean` | `isInvalidate()`
    `boolean` | `isLoadPreviousValue()`
    `boolean` | `isManagementEnabled()`
    `boolean` | `isNearCacheEnabled()`
    `boolean` | `isOnheapCacheEnabled()`
    `boolean` | `isReadFromBackup()`
    `boolean` | `isReadThrough()`
    `boolean` | `isSqlEscapeAll()`
    `boolean` | `isSqlOnheapCacheEnabled()`
    `boolean` | `isStatisticsEnabled()`
    `boolean` | `isStoreKeepBinary()`
    `boolean` | `isWriteBehindEnabled()`
    `boolean` | `isWriteThrough()`
    `int` | `maxConcurrentAsyncOperations()`
    `int` | `maxQueryIteratorsCount()`
    `String` | `nearCacheEvictionPolicyFactory()`
    `int` | `nearCacheStartSize()`
    `String` | `nodeFilter()`
    `PartitionLossPolicy` | `partitionLossPolicy()`
    `int` | `queryDetailMetricsSize()`
    `int` | `queryParallelism()`
    `long` | `rebalanceBatchesPrefetchCount()`
    `int` | `rebalanceBatchSize()`
    `long` | `rebalanceDelay()`
    `CacheRebalanceMode` | `rebalanceMode()`
    `int` | `rebalanceOrder()`
    `long` | `rebalanceThrottle()`
    `long` | `rebalanceTimeout()`
    `int` | `sqlIndexMaxInlineSize()`
    `int` | `sqlOnheapCacheMaxSize()`
    `String` | `sqlSchema()`
    `String` | `topologyValidator()`
    `int` | `writeBehindBatchSize()`
    `boolean` | `writeBehindCoalescing()`
    `long` | `writeBehindFlushFrequency()`
    `int` | `writeBehindFlushSize()`
    `int` | `writeBehindFlushThreadCount()`
    `CacheWriteSynchronizationMode` | `writeSynchronizationMode()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheView

          public CacheView(org.apache.ignite.internal.processors.cache.DynamicCacheDescriptor cache,
                           org.apache.ignite.internal.GridKernalContext ctx)

      Parameters:
        `cache` - Cache descriptor.
        `ctx` - Kernal context.

  - ### Method Detail

    - #### cacheGroupId

          public int cacheGroupId()

      See Also:
        `DynamicCacheDescriptor.groupId()`

    - #### cacheGroupName

          public String cacheGroupName()

      See Also:
        `CacheGroupDescriptor.cacheOrGroupName()`

    - #### cacheId

          public int cacheId()

      See Also:
        `DynamicCacheDescriptor.cacheId()`

    - #### cacheName

          public String cacheName()

      See Also:
        `CacheConfiguration.getName()`

    - #### cacheType

          public org.apache.ignite.internal.processors.cache.CacheType cacheType()

      See Also:
        `DynamicCacheDescriptor.cacheType()`

    - #### cacheMode

          public CacheMode cacheMode()

      See Also:
        `CacheConfiguration.getCacheMode()`

    - #### atomicityMode

          public CacheAtomicityMode atomicityMode()

      See Also:
        `CacheConfiguration.getAtomicityMode()`

    - #### isOnheapCacheEnabled

          public boolean isOnheapCacheEnabled()

      See Also:
        `CacheConfiguration.isOnheapCacheEnabled()`

    - #### isCopyOnRead

          public boolean isCopyOnRead()

      See Also:
        `CacheConfiguration.isCopyOnRead()`

    - #### isLoadPreviousValue

          public boolean isLoadPreviousValue()

      See Also:
        `CacheConfiguration.isLoadPreviousValue()`

    - #### isReadFromBackup

          public boolean isReadFromBackup()

      See Also:
        `CacheConfiguration.isReadFromBackup()`

    - #### partitionLossPolicy

          public PartitionLossPolicy partitionLossPolicy()

      See Also:
        `CacheConfiguration.getPartitionLossPolicy()`

    - #### nodeFilter

          public String nodeFilter()

      See Also:
        `CacheConfiguration.getNodeFilter()`

    - #### topologyValidator

          public String topologyValidator()

      See Also:
        `CacheConfiguration.getTopologyValidator()`

    - #### isEagerTtl

          public boolean isEagerTtl()

      See Also:
        `CacheConfiguration.isEagerTtl()`

    - #### writeSynchronizationMode

          public CacheWriteSynchronizationMode writeSynchronizationMode()

      See Also:
        `CacheConfiguration.getWriteSynchronizationMode()`

    - #### isInvalidate

          public boolean isInvalidate()

      See Also:
        `CacheConfiguration.isInvalidate()`

    - #### isEventsDisabled

          public boolean isEventsDisabled()

      See Also:
        `CacheConfiguration.isEventsDisabled()`

    - #### isStatisticsEnabled

          public boolean isStatisticsEnabled()

      See Also:
        `MutableConfiguration.isStatisticsEnabled()`

    - #### isManagementEnabled

          public boolean isManagementEnabled()

      See Also:
        `MutableConfiguration.isManagementEnabled()`

    - #### isEncryptionEnabled

          public boolean isEncryptionEnabled()

      See Also:
        `CacheConfiguration.isEncryptionEnabled()`

    - #### backups

          public int backups()

      See Also:
        `CacheConfiguration.getBackups()`

    - #### affinity

          public String affinity()

      See Also:
        `CacheConfiguration.getAffinity()`

    - #### affinityMapper

          public String affinityMapper()

      See Also:
        `CacheConfiguration.getAffinityMapper()`

    - #### rebalanceMode

          public CacheRebalanceMode rebalanceMode()

      See Also:
        `CacheConfiguration.getRebalanceMode()`

    - #### rebalanceBatchSize

          public int rebalanceBatchSize()

      See Also:
        `CacheConfiguration.getRebalanceBatchSize()`

    - #### rebalanceTimeout

          public long rebalanceTimeout()

      See Also:
        `CacheConfiguration.getRebalanceTimeout()`

    - #### rebalanceDelay

          public long rebalanceDelay()

      See Also:
        `CacheConfiguration.getRebalanceDelay()`

    - #### rebalanceThrottle

          public long rebalanceThrottle()

      See Also:
        `CacheConfiguration.getRebalanceThrottle()`

    - #### rebalanceBatchesPrefetchCount

          public long rebalanceBatchesPrefetchCount()

      See Also:
        `CacheConfiguration.getRebalanceBatchesPrefetchCount()`

    - #### rebalanceOrder

          public int rebalanceOrder()

      See Also:
        `CacheConfiguration.getRebalanceOrder()`

    - #### evictionFilter

          public String evictionFilter()

      See Also:
        `CacheConfiguration.getEvictionFilter()`

    - #### evictionPolicyFactory

          public String evictionPolicyFactory()

      See Also:
        `CacheConfiguration.getEvictionPolicyFactory()`

    - #### isNearCacheEnabled

          public boolean isNearCacheEnabled()

      See Also:
        `CacheConfiguration.getNearConfiguration()`

    - #### nearCacheEvictionPolicyFactory

          public String nearCacheEvictionPolicyFactory()

      See Also:
        `NearCacheConfiguration.getNearEvictionPolicyFactory()`

    - #### nearCacheStartSize

          public int nearCacheStartSize()

      See Also:
        `NearCacheConfiguration.getNearStartSize()`

    - #### defaultLockTimeout

          public long defaultLockTimeout()

      See Also:
        `CacheConfiguration.getDefaultLockTimeout()`

    - #### interceptor

          public String interceptor()

      See Also:
        `CacheConfiguration.getInterceptor()`

    - #### cacheStoreFactory

          public String cacheStoreFactory()

      See Also:
        `CacheConfiguration.getCacheStoreFactory()`

    - #### isStoreKeepBinary

          public boolean isStoreKeepBinary()

      See Also:
        `CacheConfiguration.isStoreKeepBinary()`

    - #### isReadThrough

          public boolean isReadThrough()

      See Also:
        `MutableConfiguration.isReadThrough()`

    - #### isWriteThrough

          public boolean isWriteThrough()

      See Also:
        `MutableConfiguration.isWriteThrough()`

    - #### isWriteBehindEnabled

          public boolean isWriteBehindEnabled()

      See Also:
        `CacheConfiguration.isWriteBehindEnabled()`

    - #### writeBehindCoalescing

          public boolean writeBehindCoalescing()

      See Also:
        `CacheConfiguration.getWriteBehindCoalescing()`

    - #### writeBehindFlushSize

          public int writeBehindFlushSize()

      See Also:
        `CacheConfiguration.getWriteBehindFlushSize()`

    - #### writeBehindFlushFrequency

          public long writeBehindFlushFrequency()

      See Also:
        `CacheConfiguration.getWriteBehindFlushFrequency()`

    - #### writeBehindFlushThreadCount

          public int writeBehindFlushThreadCount()

      See Also:
        `CacheConfiguration.getWriteBehindFlushThreadCount()`

    - #### writeBehindBatchSize

          public int writeBehindBatchSize()

      See Also:
        `CacheConfiguration.getWriteBehindBatchSize()`

    - #### maxConcurrentAsyncOperations

          public int maxConcurrentAsyncOperations()

      See Also:
        `CacheConfiguration.getMaxConcurrentAsyncOperations()`

    - #### cacheLoaderFactory

          public String cacheLoaderFactory()

      See Also:
        `MutableConfiguration.getCacheLoaderFactory()`

    - #### cacheWriterFactory

          public String cacheWriterFactory()

      See Also:
        `MutableConfiguration.getCacheWriterFactory()`

    - #### expiryPolicyFactory

          public String expiryPolicyFactory()

      See Also:
        `MutableConfiguration.getExpiryPolicyFactory()`

    - #### isSqlEscapeAll

          public boolean isSqlEscapeAll()

      See Also:
        `CacheConfiguration.isSqlEscapeAll()`

    - #### sqlSchema

          public String sqlSchema()

      See Also:
        `CacheConfiguration.getSqlSchema()`

    - #### sqlIndexMaxInlineSize

          public int sqlIndexMaxInlineSize()

      See Also:
        `CacheConfiguration.getSqlIndexMaxInlineSize()`

    - #### isSqlOnheapCacheEnabled

          public boolean isSqlOnheapCacheEnabled()

      See Also:
        `CacheConfiguration.isSqlOnheapCacheEnabled()`

    - #### sqlOnheapCacheMaxSize

          public int sqlOnheapCacheMaxSize()

      See Also:
        `CacheConfiguration.getSqlOnheapCacheMaxSize()`

    - #### queryDetailMetricsSize

          public int queryDetailMetricsSize()

      See Also:
        `CacheConfiguration.getQueryDetailMetricsSize()`

    - #### queryParallelism

          public int queryParallelism()

      See Also:
        `CacheConfiguration.getQueryParallelism()`

    - #### maxQueryIteratorsCount

          public int maxQueryIteratorsCount()

      See Also:
        `CacheConfiguration.getMaxQueryIteratorsCount()`

    - #### dataRegionName

          public String dataRegionName()

      See Also:
        `CacheConfiguration.getDataRegionName()`

    - #### conflictResolver

          public String conflictResolver()

      See Also:
        `CacheVersionConflictResolver`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023